package cn.sh.stc.sict.theme.hpgp.controller.mobile;


import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hpgp.model.HpgpLabExperience;
import cn.sh.stc.sict.theme.hpgp.service.HpgpLabExperienceService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.io.Serializable;
import java.util.List;

/**
 * 医院科室-检验-词云(HpgpLabExperience)表控制层
 *
 * @author makejava
 * @since 2022-06-23 11:38:14
 */
@Slf4j
@RestController
@AllArgsConstructor
@Api(tags = "[C]医院科室-检验-词云")
@RequestMapping("/hpgp/lab/experience")
public class HpgpLabExperienceController {
    /**
     * 服务对象
     */
    private final HpgpLabExperienceService hpgpLabExperienceService;

    @ApiOperation("分页")
    @GetMapping("/page")
    public R selectAll(Page<HpgpLabExperience> page, HpgpLabExperience hpgpLabExperience) {
        return new R().success(this.hpgpLabExperienceService.page(page, new QueryWrapper<>(hpgpLabExperience)));
    }

}